Name:           perl-Plack-Middleware-Deflater
Version:        0.12
Release:        2%{?dist}
Summary:        Compress response body with Gzip or Deflate
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Plack-Middleware-Deflater/
Source0:        http://www.cpan.org/authors/id/K/KA/KAZEBURO/Plack-Middleware-Deflater-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl >= 1:5.8.1
# inc::Module::Install requires
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Config)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(ExtUtils::MM_Unix)
BuildRequires:  perl(Fcntl)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(FindBin)
BuildRequires:  perl(Pod::Text)
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)
BuildRequires:  perl(File::Spec)
# requires from Makefile.PL
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Compress::Zlib)
BuildRequires:  perl(Plack)
# for tests
BuildRequires:  perl(IO::Handle::Util)
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(Test::Requires)
BuildRequires:  perl(Test::Base)
BuildRequires:  perl(Filter::Util::Call)
BuildRequires:  perl(HTTP::Request::Common)
BuildRequires:  perl(Plack::Test)
BuildRequires:  perl(Plack::Builder)
BuildRequires:  perl(parent)
BuildRequires:  perl(Plack::Middleware)
BuildRequires:  perl(Plack::Util)
BuildRequires:  perl(Plack::Util::Accessor)
# required for a test case but not available in Fedora
#BuildRequires:  perl(Furl)

Requires:       perl(Plack)
Requires:       perl(Compress::Zlib)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Plack::Middleware::Deflater is a middleware to encode your response body in
gzip or deflate, based on Accept-Encoding HTTP request header. It would
save the bandwidth a little bit but should increase the Plack server load,
so ideally you should handle this on the front end reverse proxy servers.

%prep
%setup -q -n Plack-Middleware-Deflater-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Oct  1 2013 Robin Lee <cheeselee@fedoraproject.org> - 0.12-1
- Update to 0.12
- Requires/BR perl(IO::Compress::Deflater) and perl(IO::Compress::Gzip) removed,
  perl(Compress::Zlib) added

* Fri Aug  9 2013 Robin Lee <cheeselee@fedoraproject.org> - 0.11-1
- Update to 0.11

* Mon Aug 05 2013 Petr Pisar <ppisar@redhat.com> - 0.09-3
- Perl 5.18 rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.09-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue May 28 2013 Robin Lee <cheeselee@fedoraproject.org> - 0.09-1
- Update to 0.09

* Wed May 15 2013 Robin Lee <cheeselee@fedoraproject.org> - 0.08-2
- BuildRequires more Perl modules: parent, Plack::Middleware, Plack::Util,
  Plack::Util::Accessor, File::Spec, Spiffy, Test::Base::Filter,
  Test::Builder, Test::Builder::Module
- 'frontend' changed to 'front end'

* Fri May 03 2013 Robin Lee <cheeselee@fedoraproject.org> 0.08-1
- Specfile autogenerated by cpanspec 1.78.
